OpenAgentPack Kit
POST
/api/admin/resource-drafts/{name}/resources/plan

Path Parameters

name*string

Request Body

application/json
  1. body
action*"publish"
Value in"publish"
version_id?string

Response Body

plan + 一次性确认令牌

application/json
  1. response
data*
curl -X POST 'https://example.com/api/admin/resource-drafts/string/resources/plan' \  -H 'Content-Type: application/json' \  -d '{  "action": "publish"}'
{  "data": {    "plan_id": "string",    "confirm_token": "string",    "destructive": true,    "expires_at": 0,    "diff": [      {        "resource": "string",        "action": "create",        "destructive": false,        "summary": "string"      }    ],    "project_revision": "string",    "yaml_hash": "string",    "fingerprint": "string"  }}